{% extends 'base.html' %}

{% block content %}
  <main>
    <div>
      <h1>My Lists</h1>
      <p>
        <a href="{% url 'todo_list_create' %}">Create a new list</a>
      </p>
      <p>
        <a href="{% url 'todo_item_create' %}">Create a new item</a>
      </p>
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Number of items</th>
          </tr>
        </thead>
        <tbody>
          {% for list in todolist_list %}
            <tr>
              <td>
                <a href="{% url 'todo_list_detail' list.id %}">{{ list.name }}</a>
              </td>
              <td>{{ list.items.all|length }}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    </main>
  {% endblock content %}

